/** @file MOMReminder.h
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#ifndef MOMReminder_h
#define MOMReminder_h

#if ENABLE(RMAI)

#include <wtf/PassRefPtr.h>
#include <wtf/RefCounted.h>
#include <wtf/text/AtomicString.h>
#include "MOMProgramme.h"

extern "C" {
#include "layers.h"
#include "layers_flex.h"
#include "cdf/mom_reminder.h"
}

namespace WebCore {

class MOMReminder : public MOMProgramme {
public:
    static PassRefPtr<MOMReminder> createAdopt(ScriptExecutionContext *context, mom_reminder rem);
    static PassRefPtr<MOMReminder> create(ScriptExecutionContext *context, mom_reminder rem);
    MOMReminder(ScriptExecutionContext *context, mom_content_item item);

    bool forceTune() const;
    void setForceTune(bool forceTune);

    void remove();

    ALWAYS_INLINE mom_reminder itemAsReminder() const { return (mom_reminder)m_item; }
};

} // namespace WebCore

#endif // ENABLE(RMAI)

#endif // MOMReminder_h
